'use strict';

var PropTypes = require('prop-types');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

var TableViewItemPropType = PropTypes__default.default.shape({
  id: PropTypes__default.default.string.isRequired,
  text: PropTypes__default.default.string.isRequired,
  tooltip: PropTypes__default.default.string,
  /** Callback that will be called instead of the onChangeView */
  customAction: PropTypes__default.default.func,
  icon: PropTypes__default.default.elementType
});
var TableViewItemPropType$1 = TableViewItemPropType;

module.exports = TableViewItemPropType$1;
